> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Extended



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /user-exchange/extended
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /user-exchange/extended:
    post:
      tags:
        - User exchange
      summary: Connect Extended
      operationId: UserExchangeController_setExtendedUserExchange
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetExtendedUserExchangeBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserExchangeDto'
      security:
        - bearer: []
components:
  schemas:
    SetExtendedUserExchangeBodyDto:
      type: object
      properties:
        accountId:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
          description: Extended account ID
        apiKey:
          type: string
          minLength: 1
          description: Extended API key
        l2PrivateKey:
          type: string
          description: Stark L2 private key (hex)
          example: 0xabcdef...
        l2PublicKey:
          type: string
          description: Stark L2 public key (hex)
          example: 0xabcdef...
        vaultId:
          type: string
          pattern: ^[1-9]\d*$
          description: Extended vault ID
      required:
        - accountId
        - apiKey
        - l2PrivateKey
        - l2PublicKey
        - vaultId
      title: ExtendedUserExchange
    UserExchangeDto:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        valid:
          type: boolean
          description: True if credentials are valid
      required:
        - exchange
        - valid
      title: UserExchange
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.